/*
 * This file is a part of SCP Timer, program for usability experiments
 * Copyright (C) 2007 Martin Plicka
 *
 * SCP Timer is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * SCP Timer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SCP Timer. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MAINWINDOW_H_INCLUDED
#define MAINWINDOW_H_INCLUDED

#include "ui_mainwindow.h"

#include "taskwindow.h"
#include "overlaywindow.h"

#include <QCloseEvent>
#include <QStringList>

class MainWindow: public QWidget, public Ui::MainWindow {
      Q_OBJECT

      TaskWindow * taskWindow;
      OverlayWindow * overlayWindow;

      int step;
      QStringList task;
      QStringList report;

      bool loadTask();
      bool doTask();
      bool saveReport();
      void evalStep();
      void markStep();


      void closeEvent ( QCloseEvent * event );

   public:
      MainWindow ();
   public slots:
      void buttonNextClicked();
      void buttonPrevClicked();
      void buttonCloseClicked();
};

#endif // MAINWINDOW_H_INCLUDED
