/*
 * This file is a part of SCP Timer, program for usability experiments
 * Copyright (C) 2007 Martin Plicka
 *
 * SCP Timer is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * SCP Timer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SCP Timer. If not, see <http://www.gnu.org/licenses/>.
 */

#include "taskwindow.h"
#include <QMessageBox>

TaskWindow::TaskWindow(const QRect & desktopGeometry , QWidget * parent){
   QDialog(parent,0);
   setupUi(this);
   setWindowFlags(Qt::WindowStaysOnTopHint | Qt::FramelessWindowHint);
   move(75,0);
   resize(desktopGeometry.width()-150, 25);
   connect(buttonNext, SIGNAL (clicked()), this, SLOT(accept()));
   connect(buttonClose, SIGNAL (clicked()), this, SLOT(reject()));
}

void TaskWindow::reject(){
   if (QMessageBox::question(this,"Opravdu",
                             "Opravdu chcete přerušit aktuálně prováděný experiment?",
                             QMessageBox::Yes | QMessageBox::No,
                             QMessageBox::No) == QMessageBox::No) return;
   QDialog::reject();
}
